Bug 1272264 - Building issues when building python-backports-ssl_match_hostname-3.4.0.2-5 on Fedora 23
Summary: Building issues when building python-backports-ssl_match_hostname-3.4.0.2-5 o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-backports-ssl_match_hostname
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-15 22:41 UTC by David Sommerseth
Modified: 2016-05-22 23:35 UTC (History)
3 users (show)

Fixed In Version: python-backports-ssl_match_hostname-3.4.0.2-6.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-17 15:50:57 UTC
Type: Bug


Attachments (Terms of Use)
[PATCH] Fix building issues with Fedora 23, related to namespace setup (3.43 KB, application/mbox)
2015-10-15 22:41 UTC, David Sommerseth
no flags Details

Description David Sommerseth 2015-10-15 22:41:49 UTC
Created attachment 1083446 [details]
[PATCH] Fix building issues with Fedora 23, related to namespace setup

When building on Fedora 23 without this patch, setup.py will fail like this:

    + cd /builddir/build/BUILD
    + cd backports.ssl_match_hostname-3.4.0.2
    + python setup.py build
    running build
    running build_py
    error: Namespace package problem: backports is a namespace package, but its
    __init__.py does not call declare_namespace()! Please fix it.
    (See the setuptools manual under "Namespace Packages" for details.)

The attached patch adds the now enforced declare_namespace(__name__) call,
according to https://pythonhosted.org/setuptools/setuptools.html#namespace-packages

Comment 1 Ralph Bean 2015-10-16 15:12:04 UTC
For what its worth.. I don't think you need backports.ssl_match_hostname on F23 and later.  It is meant to patch something in the ssl stdlib module which is no longer needed with the version of core python available in that release.  Does that help?

Comment 2 David Sommerseth 2015-10-16 17:32:37 UTC
I wish we wouldn't need it.  But when we are rebuilding the packages for a buildroot based on F23 packages, there is some package which pulls it it.  I have not come far enough yet to figure out which package which pulls it in.

If we can get rid of it in the next round, I nothing would please me more.  But currently it is needed to get further.

Comment 3 Ralph Bean 2015-11-06 15:22:32 UTC
Update for F23 on it's way.  Thanks for the patch, David!

Comment 4 Fedora Update System 2015-11-06 23:21:34 UTC
python-backports-ssl_match_hostname-3.4.0.2-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-79bd57991d

Comment 5 Fedora Update System 2015-11-08 13:23:51 UTC
python-backports-ssl_match_hostname-3.4.0.2-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-backports-ssl_match_hostname'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-79bd57991d

Comment 6 Fedora Update System 2015-11-17 15:50:55 UTC
python-backports-ssl_match_hostname-3.4.0.2-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.